using System;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Black Cat [SMV]",
        DescriptionOverride = "I'm not a hero. I'm a thief. Born a thief. Raised a thief. Will die a thief",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("Black-Cat--skin.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Carnage [SMV]",
        DescriptionOverride = "LET THERE BE CARNAGE!",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("carnage.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "The Scorpion [SMV]",
        DescriptionOverride = "Because I think you've buried enough friends over the years. Don't you?",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("scorpion.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Mysterio [SMV]",
        DescriptionOverride = "It's easy to fool people, when they're already fooling themselfs.",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("mysterio.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Eddie Brock [SMV]",
        DescriptionOverride = "Never wound, what you cant kill. ",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("eddie-unmasked.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Green Goblin [SMV]",
        DescriptionOverride = "GOD SPEED SPIDERMAN",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("gobbie.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Vulture [SMV}",
        DescriptionOverride = "Well, hot dog.",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("vulture.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Electro [SMV}",
        DescriptionOverride = "You're too late, Spider-Man. I designed this power grid. Now I'm gonna take back what is rightfully mine",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("electro.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Doc Ock [SMV]",
        DescriptionOverride = "Hello Peter.",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("otto.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Kraven The Hunter [SMV]",
        DescriptionOverride = "I have found honor, not in the civilized, but in the primal. I have found morality, I have found meaning, in the hunt. After all these years, you surely know that I'm a man of my word",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("kraven.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Hydro Man [SMV]",
        DescriptionOverride = "“Ugh… Sandman gave me a beating ! I’ve gotta jump someone weaker ! And there is an easy target, the woman !”",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("morris.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "The Rhino [SMV]",
        DescriptionOverride = "I AM THE RHINO!!!",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("rhino_classic.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Molten Man [SMV]",
        DescriptionOverride = "idk i cant find a quote for this guy",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("molten man.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "The Jackal [SMV]",
        DescriptionOverride = "It's me, the Jackal.",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("the jackal.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "The Chameleon [SMV]",
        DescriptionOverride = "YOU NEVER WHO HE IS HAHAH!!",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("chameleon.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Venom [SMV]",
        DescriptionOverride = "From now on we’re poison to Peter Parker AND Spider-Man... WE’RE VENOM!!!",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("venom.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "The Hobgoblin [SMV]",
        DescriptionOverride = "The Green Goblin is no more! But in his place now stands-- the Hobgoblin!!",
        CategoryOverride = ModAPI.FindCategory("Entities"),
        ThumbnailOverride = ModAPI.LoadSprite("anonicon.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("hobgoblin.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Secret Mako",
        DescriptionOverride = "YAAAAY YOU FOUND HIM!",
        CategoryOverride = ModAPI.FindCategory("Misc."),
        ThumbnailOverride = ModAPI.LoadSprite("unknown.png"),
        AfterSpawn = (Instance) =>
        {
          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("mako.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            person.SetBodyTextures(skin, flesh, bone, 1);
         }
      }
    ); 
}
}
}



